Token Price by Token Addresses across Networks
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/simple/token_price/multi \
--header 'x-cg-pro-api-key: <api-key>'{
"data": {
"id": "1965b339-94a3-4a77-9475-2c3248081bcf",
"type": "simple_token_price",
"attributes": {
"token_prices": {
"solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump": "0.00725052986758138039267632966543134822451730159307662487006330525",
"eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "2472.55"
},
"market_cap_usd": {
"solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump": "7247388.521391886",
"eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "5102178003.805862"
},
"h24_volume_usd": {
"solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump": "675469.233689449",
"eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "375011671.541306"
},
"h24_price_change_percentage": {
"solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump": "-25.041400507465255",
"eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "-1.7249945348675306"
},
"total_reserve_in_usd": {
"solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump": "269041.15769788764465650874159",
"eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "897342937.857452743743894395950846065408962664417022104817193141774571367472718031454441201623527425"
},
"last_trade_timestamp": {
"solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump": "1789028068",
"eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "1789027367"
}
}
}
}Token Price by Token Addresses across Networks
To get token prices based on the provided token contract addresses across multiple networks in a single request
GET
/
onchain
/
simple
/
token_price
/
multi
Token Price by Token Addresses across Networks
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/simple/token_price/multi \
--header 'x-cg-pro-api-key: <api-key>'{
"data": {
"id": "1965b339-94a3-4a77-9475-2c3248081bcf",
"type": "simple_token_price",
"attributes": {
"token_prices": {
"solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump": "0.00725052986758138039267632966543134822451730159307662487006330525",
"eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "2472.55"
},
"market_cap_usd": {
"solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump": "7247388.521391886",
"eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "5102178003.805862"
},
"h24_volume_usd": {
"solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump": "675469.233689449",
"eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "375011671.541306"
},
"h24_price_change_percentage": {
"solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump": "-25.041400507465255",
"eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "-1.7249945348675306"
},
"total_reserve_in_usd": {
"solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump": "269041.15769788764465650874159",
"eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "897342937.857452743743894395950846065408962664417022104817193141774571367472718031454441201623527425"
},
"last_trade_timestamp": {
"solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump": "1789028068",
"eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "1789027367"
}
}
}
}Notes
- Each
tokensentry pairs a network ID with a token contract address, separated by:- For example,
eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2,solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump. - Networks can be mixed freely in one request, up to 50 pairs.
- Responses are keyed by the same pairs, so a token address that appears on several networks stays unambiguous.
- For example,
- Unverified token market cap returns
null. Usemcap_fdv_fallback=trueto return FDV value (as seen on GeckoTerminal) when market cap data is unavailable. - GeckoTerminal’s routing selects the best pool for pricing based on liquidity and activity. For full control, use Specific Pool Data with a specific pool address.
- Set
include_inactive_source=trueto expand the search to recently active pools (up to 1 year) if no top pool is found.
An unknown network ID fails the whole request, while an unknown token address does not.
- An unsupported
network_idreturns a400naming the offending IDs. - A token address that cannot be resolved on a supported network is omitted from the response.
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
tokens
string
default:eth:0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2,solana:6NwarBvDkXhByqVp2Qkq5i9XbtA2B3Bwe8SWGu9vpump
required
Network ID and token contract address pairs in network_id:token_address format, comma-separated if more than one.
Maximum: 50
*refers to /onchain/networks.
Include market capitalization.
Default: false
Return FDV if market cap is not available.
Default: false
Include 24hr volume.
Default: false
Include 24hr price change.
Default: false
Include total reserve in USD.
Default: false
Include token price data from inactive pools using the most recent swap.
Default: false
Response
200 - application/json
Token price data across networks
Hide child attributes
Hide child attributes
Request ID
Response type
Hide child attributes
Hide child attributes
Was this page helpful?

